First Last Prev Next    No search results available      Search page      Enter new bug
Bug#: 24989
Alias:
Product:
Component:
Status: RESOLVED
Resolution: FIXED
Assigned To: Martin Schlemmer (RETIRED) <azarah@gentoo.org>
Hardware:
OS:
Version:
Priority:
Severity:
Reporter: Tobias Sager <moixa@gmx.ch>
Add CC:
CC:
URL:
Summary:
Status Whiteboard:
Keywords:

Filename Description Type Creator Created Size Actions
Create a New Attachment (proposed patch, testcase, etc.) View All

Bug 24989 depends on: Show dependency tree
Bug 24989 blocks:
Votes: 0    Show votes for this bug    Vote for this bug

Additional Comments: (this is where you put emerge --info)


Not eligible to see or edit group visibility for this bug.






View Bug Activity   |   Format For Printing   |   XML   |   Clone This Bug


Description:   Opened: 2003-07-21 12:45 0000
I'm working with FEATURES="fixpackages sandbox ccache userpriv".

gawk-3.1.3 fails here because of the copying of filefuncs fix (bug 24974) and insufficient permissions:
<snip>
>>> emerge (1 of 1) sys-apps/gawk-3.1.3 to /
>>> md5 src_uri ;-) gawk-3.1.3.tar.gz
>>> Unpacking source...
>>> Unpacking gawk-3.1.3.tar.gz to /var/tmp/portage/gawk-3.1.3/work
cp: setting permissions for `/var/tmp/portage/gawk-3.1.3/work/filefuncs/Makefile': Operation not permitted
cp: setting permissions for `/var/tmp/portage/gawk-3.1.3/work/filefuncs/filefuncs.c': Operation not permitted
cp: setting permissions for `/var/tmp/portage/gawk-3.1.3/work/filefuncs': Operation not permitted

!!! ERROR: sys-apps/gawk-3.1.3 failed.
!!! Function src_unpack, Line 25, Exitcode 1
!!! (no error message)
</snip>


This patch fixes the problem.
<snip>
--- gawk-3.1.3.ebuild.org       2003-07-21 21:40:12.000000000 +0200
+++ gawk-3.1.3.ebuild   2003-07-21 21:39:14.000000000 +0200
@@ -22,7 +22,7 @@
        unpack ${A}
 
        # Copy filefuncs module's source over ...
-       cp -a ${FILESDIR}/filefuncs ${WORKDIR}/ || die
+       cp -dR ${FILESDIR}/filefuncs ${WORKDIR}/ || die
 
        cd ${S}
        # support for dec compiler.
</snip>

------- Comment #1 From Martin Schlemmer (RETIRED) 2003-07-22 07:51:45 0000 -------
Fixed in CVS, thanks.

First Last Prev Next    No search results available      Search page      Enter new bug